<ul class="navbar-nav my-0 navbar-buttons" ...attributes {{on "mouseleave" this.hideHoverDropdown}}>
  {{#each this.items as |menuItem index|}}
    {{#if (or menuItem.link.pageId menuItem.link.url menuItem.link.path menuItem.dropDown)}}
      <li class="nav-item nav-item-level-1 {{if (eq this.showIndex index) 'show-dropdown'}}" {{on "mouseenter" (fn this.showHoverDropdown index)}}>
        {{#if menuItem.dropDown}}
          <div class="menu-item">
            <button class="btn btn-link nav-link text-nowrap {{menuItem.classes.textColor}} {{menuItem.classes.bgColorClass}}" type="button" {{on "click" (fn this.showClickDropdown index)}}>
              {{menuItem.name}}

              <div class="icon float-end">
                <FaIcon @icon="angle-down" @size="2" />
                <FaIcon @icon="angle-up" @size="2" />
              </div>
            </button>
          </div>

          <div
            class="dropdown-menu-list p-0 {{if @styleDropDown @classes.bgColorClass}} {{if @styleDropDown @classes.borderColorClass}} {{if @styleDropDown @classes.shadowClass}}"
            {{on "mouseenter" (fn this.showHoverDropdown index)}}
            {{on "mouseleave" this.hideHoverDropdown}}
          >
            {{#each menuItem.dropDown as |item|}}
              <MenuItem @isEditor={{@isEditor}} @item={{item}} @space={{@space}} @value={{item}} class="nav-link" />
            {{/each}}
          </div>
        {{else}}
          <MenuItem @isEditor={{@isEditor}} @space={{@space}} @value={{menuItem}} class="nav-link {{menuItem.classes.textColor}} {{menuItem.classes.bgColorClass}}" />
        {{/if}}
      </li>
    {{/if}}
  {{/each}}
</ul>